ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::files::out::OMETIFFWriter::TIFFState Struct Reference

State of TIFF file. More...

`#include <ome/files/out/OMETIFFWriter.h>`

Collaboration diagram for ome::files::out::OMETIFFWriter::TIFFState:
[legend]

## Public Member Functions
| TIFFState (ome::compat::shared_ptr< ome::files::tiff::TIFF > &tiff)
| Constructor. More...
| ~TIFFState ()
| Destructor.

## Public Attributes
std::string | uuid
| UUID of file.
ome::compat::shared_ptr< ome::files::tiff::TIFF > | tiff
| TIFF file handle.
dimension_size_type | ifdCount
| Number of IFDs written.

## Detailed Description

State of TIFF file.

## Constructor & Destructor Documentation

ome::files::out::OMETIFFWriter::TIFFState::TIFFState | ( | ome::compat::shared_ptr< ome::files::tiff::TIFF > & | tiff | ) |

Constructor.

Parameters

  tiff | the TIFF file for which to cache state.

The documentation for this struct was generated from the following files:

- ome/files/out/OMETIFFWriter.h
- ome/files/out/OMETIFFWriter.cpp